#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: bomber
Version: 4.10.2
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2 and LGPLv2 and GFDL
Summary: Arcade bombing game
Group: Games/Arcade
Url: http://www.kde.org/applications/games/bomber/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
Suggests: bomber-handbook
BuildRequires: kdegames-devel >= 1:%version

%description 
Bomber is a single player arcade game.

The player is invading various cities in a plane that is decreasing in height.
The goal of the game is to destroy all the buildings and advance to the next
level. Each level gets a bit harder by increasing the speed of the plane and the
height of the buildings.

%files 
%_kde_bindir/bomber
%_kde_applicationsdir/bomber.desktop
%_kde_appsdir/bomber
%_kde_datadir/config.kcfg/bomber.kcfg
%_kde_iconsdir/hicolor/*/apps/bomber.*

#------------------------------------------------------------------------------

%package -n bomber-handbook
Summary: bomber handbook
Conflicts: bomber < 1:4.7.1-2
Requires:  bomber >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation
%description -n bomber-handbook
This package provides the bomber handbook.

%files -n bomber-handbook
%_kde_docdir/HTML/en/bomber


#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407225
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401831
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394396
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Fri Jan 11 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 347047
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339476
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334557
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326759
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Tue Nov 20 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 319684
- Remove redundant BR
- imported package bomber

